module.exports = function (grunt) {
    grunt.initConfig({
        buildEnvironment: {
            test: {
                configFile: "./config/testEnvironment.json"
            },
            srcFolders: ["./config"]
        },
        zhTestBuilder: {
            options: {
                jsonPath: ["../../assets/json"],
                srcPath: "../../assets/",
                moduleName: "cmp",
                buildPath: "./specs"
            }
        }
    });

    grunt.loadNpmTasks('grunt-zh-environment-builder');
    grunt.loadNpmTasks('grunt-zh-test-builder');

    grunt.registerTask('default', ['buildEnvironment:test', 'zhTestBuilder']);
};
